
QGIS Application - Bug report #1277

digitizing with snapping option works verry slow

2008-09-03 01:20 PM - Gerhard Spieles

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11337

Description

when "snapping options" in the menue "project properties" ist enabled to a large shp-layer (17.000 objects) the digitize function (edit shp

file) work verry slow.

History

#1 - 2008-09-03 01:32 PM - Maciej Sieczka -

A way to speed digitizing up was to use "Cross" instead of "Semi transparent circle" for the "Marker style" in Preferences, in my case. See if that helps and

please report back.

#2 - 2008-09-03 02:32 PM - Gerhard Spieles

Speed is little better, but not good for work

#3 - 2008-09-04 07:43 AM - Marco Hugentobler

The most effective way to speed up the snapping is to have a spatial index. Otherwise, every vertex of the whole dataset needs to be tested.

Do you already have an index on the dataset? If not, you may create one in the vector layer properties dialog:

Open vector layer properties dialog, go to tab 'general', press button named 'create spatial index'.

Marco

#4 - 2008-09-04 01:02 PM - Gerhard Spieles

Thanks for advice, but creating spatial index failes (see attached pdf-file

#5 - 2008-09-04 11:37 PM - Maciej Sieczka -

Replying to [comment:5 gespiel]:

Thanks for advice, but creating spatial index failes
Works for me, with my data. If you can still reproduce it please open a separate ticket and attach sample data to reproduce the problem.

(see attached pdf-file

FWIW, you can attach JPEGs or PNGs as well.

#6 - 2008-09-05 06:05 AM - Gerhard Spieles

sample data produce the same problem

(see attached jpg)

#7 - 2008-09-05 06:46 AM - Maciej Sieczka -

Replying to [comment:7 gespiel]:

sample data produce the same problem

(see attached jpg)

I asked you to open a separate ticket for the issue regarding spatial index. It's bad to discuss 2 separate issues in the same ticket.

And please upload some sample data into that new ticket (e.g. a Shapefile) to reproduce the problem with - a screendump is not enough!

#8 - 2008-09-05 08:31 AM - Gerhard Spieles

Sorry, i@ll open a new ticket soon.

#9 - 2008-09-17 12:24 PM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to wontfix

I'm closing this ticket as the problem is covered by the new ticket. Without a spatial index, it is not possible to have good snapping performance for large

data files.

Marco

#10 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

raeumlicher_index.pdf 205 KB 2008-09-04 Gerhard Spieles

spartial_idex_fail.jpg 198 KB 2008-09-05 Gerhard Spieles
